import axios from '@/utils/axios'
/**
* 分析系统产品管理
*/
export default {
/**
 * 新增产品类别
 */
addNewProductCategorys(data) {
    return axios.post('/v2/productCategorys/addNew', data)
},
/**
 * 查询产品类别
 */
queryProductCategorys(data) {
    return axios.post('/v2/productCategorys/query', data)
},
/**
 * 修改产品类别
 */
updateProductCategorys(data) {
    return axios.post('/v2/productCategorys/update', data)
},
/**
 * 删除产品类别
 */
deleteProductCategorys(params) {
    return axios.get('/v2/productCategorys/delete', {params})
  },
  /**
 * 产品类别趋势图
 */
   showTrend(params) {
    return axios.post('/v2/productCategorys/showTrend', params)
  },
   /**
 * 获取统一产品下的公司集合
 */
getCompanyList(params) {
    return axios.get('/v2/productCategorys/getCompanyList', {params})
},
       /**
 * 获取营销数据的地区集合
 */
getAreaList(params) {
    return axios.post('/v2/productCategorys/getAreaList', params)
},
/**
 * 新增产品
 */
addNewProducts(data) {
    return axios.post('/v2/products/addNew', data)
},
/**
 * 修改产品
 */
updateProducts(data) {
    return axios.post('/v2/products/update', data)
},
/**
 * 查询产品
 */
queryProducts(data) {
    return axios.post('/v2/products/query', data)
},
/**
 * 删除产品
 */
deleteProducts(params) {
    return axios.get('/v2/products/delete', {params})
},
  /**
 * 产品趋势图
 */
   ProductShowTrend(params) {
    return axios.post('/v2/products/showTrend', params)
  },
/**
 * 新增产品架构
 */
addNewStructures(data) {
    return axios.post('/v2/structures/addNew', data)
},
/**
 * 修改产品架构
 */
updateStructures(data) {
    return axios.post('/v2/structures/update', data)
},
/**
 * 查询产品架构
 */
queryStructures(data) {
    return axios.post('/v2/structures/query', data)
},
/**
 * 删除产品架构
 */
deleteStructures(params) {
    return axios.get('/v2/structures/delete', {params})
},
/**
 * 查询产品架构路径
 */
queryPathStructureName(data) {
    return axios.post('/v2/structures/queryPathStructureName', data)
},
/**
 * 新增营销数据
 */
 addNewProductMarketData(params) {
    return axios.post('/v2/ProductMarketDatas/addNew', params)
},
/**
 * 查询营销数据
 */
 queryProductMarketData(params) {
    return axios.post('/v2/ProductMarketDatas/query', params)
},
/**
 * 修改营销数据
 */
 updateProductMarketData(params) {
    return axios.post('/v2/ProductMarketDatas/update', params)
},
/**
 * 删除营销数据
 */
 deleteProductMarketData(params) {
    return axios.get('/v2/ProductMarketDatas/delete', {params})
},

/**
 * 新增许可历史
 */
 addPermissionRecord(params) {
    return axios.post('/v2/permissionRecord/add', params)
},
/**
 * 查询许可历史
 */
 queryPermissionRecord(params) {
    return axios.post('/v2/permissionRecord/query', params)
},
/**
 * 修改许可历史
 */
 updatePermissionRecord(params) {
    return axios.post('/v2/permissionRecord/update', params)
},
/**
 * 删除许可历史
 */
 deletePermissionRecord(params) {
    return axios.get('/v2/permissionRecord/delete', {params})
},

/**
 * 更新专利与产品标引
 */
 updateProductStructurePatentIndex(params) {
    return axios.post('/v2/productStructurePatentIndex/update', params)
},

/**
 * 查询专利与产品标引
 */
 queryProductStructurePatentIndex(params) {
    return axios.post('/v2/productStructurePatentIndex/query', params)
},
 /**
 * 专利与产品批量标引
 */
  addNewBatch(params) {
    return axios.post('/v2/productStructurePatentIndex/addNewBatch', params)
},

/**
 * 查询产品相关专利
 */
proPatentQueryPatents(data) {
    return axios.post('/v2/proPatent/queryPatents', data)
},
/**
 * 上传导入产品相关专利
 */
proPatentImportPatents(data) {
    return axios.post('/v2/proPatent/importPatents', data)
  },
/**
 * 删除选中的产品相关专利
 */
proPatentDelete(data) {
    return axios.post('/v2/proPatent/delete', data)
  },
/**
 * 添加选中的产品专利
 */
addPatentDelete(data) {
    return axios.post('/v2/proPatent/add', data)
  },

/**
 * 产品相关专利新增部分专利查询
*/
PatentWorth(params) {
    return axios.post('/v2/patent/showTrend', params)
},

/**
 * 批量关联产品和专利
*/
PatentAndProduct(params) {
    return axios.post('/v2/products/addNewAssoProductPatent', params)
},


}


